Disconnect calendar provider
curl --request DELETE \
--url https://api.consumer.younegotiate.com/calendar-sync/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/calendar-sync/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/calendar-sync/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Google Calendar disconnection started.",
"data": {
"provider": "google",
"connected": true,
"live_update": true,
"email": "consumer@gmail.com",
"name": "Sem Karan",
"avatar": "https://lh3.googleusercontent.com/avatar.png",
"can_connect": true,
"can_reconnect": true,
"can_disconnect": true,
"disconnecting": true
}
}{
"message": "Google Calendar disconnection started.",
"data": {
"provider": "google",
"connected": true,
"live_update": true,
"email": "consumer@gmail.com",
"name": "Sem Karan",
"avatar": "https://lh3.googleusercontent.com/avatar.png",
"can_connect": true,
"can_reconnect": true,
"can_disconnect": true,
"disconnecting": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Disconnect calendar provider
Idempotently disconnect Google or Microsoft Calendar. Connected providers return 202 while remote events are removed asynchronously. Poll GET /calendar-sync until connected and disconnecting are both false. An already disconnected provider returns 200. Google OAuth credentials are revoked after event cleanup; Microsoft credentials are removed locally without signing the user out of Microsoft.
DELETE
/
calendar-sync
/
{provider}
Disconnect calendar provider
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Calendar provider slug.
Available options:
google, microsoft Last modified on July 19, 2026
Was this page helpful?
⌘I

